RARP(8)

NOM
rarp - manipule la table système RARP

SYNOPSIS
rarp [-V] [--version] [-h] [--help]
rarp -a
rarp [-v] -d nom_d_hote ...
rarp [-v] [-t type] -s nom_d_hote adr_materiel

DESCRIPTION
Rarp manipule la table RARP du noyau de différentes façons. Les options de base permettent d'effacer une entrée de correspondance d'adresses et d'en redéfinir une manuellement. Pour des besoins de débogage, le programme rarp permet aussi de vider complètement la table RARP.

OPTIONS

-V  Affiche la version de RARP utilisé.

-v  Dit à l'utilisateur ce qui se passe, en étant verbeux.

-t type
    En définissant ou lisant la table RARP, ce paramètre optionnel dit à rarp quelles classes d'entrées il doit contrôler. La valeur par défaut de ce paramètre est ether (i.e. code matériel 0x01 pour IEEE 802.3 10Mbps Ethernet . D'autres valeurs doivent correspondre à des technologies réseaux telles que AX.25 (ax25). et NET/ROM (netrom).

-a

--list
    Liste les entrées de la table RARP.

-d nom_d_hote

--delete nom_d_hote
    Supprime toutes les entrées RARP relatives à l'hôte spécifié.

-s nom_d_hote adr_materielle

--set nom_d_hote adr_materielle
    Crée manuellement une correspondance d'adresses RARP pour l'hôte nom_d_hôte avec l'adresse matérielle adr_materielle mais pour la plupart on peut considérer que la présentation classique peut être utilisée. Pour la classe Ethernet, c'est 6 octets en hexadécimal, séparés par des double-points.

ATTENTION
Certains systèmes (notamment des vieux Sun's) supposent que l'hôte répondant à une requête RARP peut aussi fournir d'autres services de boot à distance. Par conséquent n'ajoutez jamais d'entrées RARP à la légère à moins que vous souhaitiez affronter la colère de votre administrateur réseau.

FICHIERS
/proc/net/rarp,

VOIR AUSSI
arp(8), route(8), ifconfig(8), netstat(8)

AUTEURS
Ross D. Martin, <martin@trcsun3.eas.asu.edu>
Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org>
Phil Blundell, <Philip.Blundell@pobox.com>

TRADUCTION
Jean-Michel VANSTEENE (vanstee@worldnet.fr)